var listController = {
    
    _rowData: [
        "Alta",
        "Aspen",
        "Big Bear",
        "Boreal",
        "Brundage Mountain",
        "Heavenly",
        "Kirkwood",
        "Mammoth",
        "Northstar",
        "Park City",
        "Snowbird",
        "Squaw Valley",
        "Sugar Bowl",
        "Vail",
    ],
    
    numberOfRows: function() {
        return this._rowData.length;
    },
    
    prepareRow: function(rowElement, rowIndex, templateElements) {

        templateElements.rowTitle.innerText = this._rowData[rowIndex];

        var self = this;
        var handler = function() {

            var resort = self._rowData[rowIndex];
            detailController.setRepresentedObject(resort);

            var browser = document.getElementById('browser').object;
            browser.goForward(document.getElementById('detailLevel'), resort);

        };
        rowElement.onclick = handler;
    }
};

var detailController = {
    
    setRepresentedObject: function(representedObject) {
        var detailText = document.getElementById('detailText');
        detailText.innerHTML = "The snow conditions in " + representedObject + " are awesome!";
    }
    
};

function load()
{
    dashcode.setupParts();
}
