var listController = {

    _rowData: [],
    
    numberOfRows: function() {
        return this._rowData.length;
    },
    
    prepareRow: function(rowElement, rowIndex, templateElements) {
        var d = this._rowData[rowIndex];
        templateElements.rowTitle.innerText = d.name;

        var self = this;
        rowElement.onclick = function (){
            var url = 'http://webservice.recruit.co.jp/hotpepper/gourmet/v1/?'
                + 'callback=?&format=jsonp&key=feafc91f38cc6a9e'
                + '&large_service_area=' + d.code;

            $.getJSON( url, function ( json ){
                var shops = json.results.shop;
                detailController.setRepresentedObject( shops );

                var browser = document.getElementById('browser').object;
                browser.goForward(document.getElementById('detailLevel'), d.name );
            });
        };
    }
};

var detailController = {    
    setRepresentedObject: function( shops ) {
    
        var detailText = document.getElementById('detailText');
        detailText.innerHTML = '<ul>';
        $.each( shops, function (i,d){
            detailText.innerHTML += '<li>' + d.name + '</li>';
        });
        detailText.innerHTML += '</ul>';

    }
};

function load()
{
    dashcode.setupParts();    
    
    var url = 'http://webservice.recruit.co.jp/hotpepper/large_service_area/v1/?'
        + 'callback=?&format=jsonp&key=feafc91f38cc6a9e';

    $.getJSON( url, function ( json ){
        var list_data = listController._rowData;
        $.each( json.results.large_service_area, function (i,d){
            list_data.push({
                name: d.name,
                code: d.code
            });
        });
        $( '#list' )[0].object.reloadData();
    });
}
